Skip to main content
GET
/
api
/
v1
/
management
/
attribute-classes
/
{attributeClassId}
Get Attribute Class by ID
curl --request GET \
  --url 'http://{{baseurl}}/api/v1/management/attribute-classes/{attributeClassId}' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "http://{{baseurl}}/api/v1/management/attribute-classes/{attributeClassId}"

headers = {"x-api-key": "<x-api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};

fetch('http://{{baseurl}}/api/v1/management/attribute-classes/{attributeClassId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "archived": false,
    "createdAt": "2024-04-09T04:53:29.577Z",
    "description": "The email of the person",
    "environmentId": "clurwouax000azffxt7n5unn3",
    "id": "clurwouax000ezffxs7unemg2",
    "name": "email",
    "type": "automatic",
    "updatedAt": "2024-04-09T04:53:29.577Z"
  }
}
{
"code": "not_found",
"details": {
"resource_id": "clurwouax000ezffxs7unemg2s",
"resource_type": "Attribute Class"
},
"message": "Attribute Class not found"
}
{
"code": "internal_server_error",
"details": {},
"message": "Some error occurred"
}

Headers

x-api-key
string
required

Path Parameters

attributeClassId
string
required

Response

OK

The response is of type object.